JEIEvents.information(e => {
    e.addItem('miningmaster:dive_aquamarine', ['When applied in a Smithing Table, gives: \n-§9§lAqua Affinity§r for Helmets\n-§3§lRiptide§r for Tridents\n-§b§lGrace§r for Chestplates'])
    e.addItem('miningmaster:divine_beryl', ['When applied in a Smithing Table, gives: \n-§e§lSmite§r for Swords \n-§3§lChanneling§r for Tridents \n-§7§lPiercing§r for Crossbows \n-§8§lShattering§r for Bows'])
    e.addItem('miningmaster:fire_ruby', ['When applied in a Smithing Table, gives: \n-§c§lFlame§r for Bows \n-§4§lFire Aspect§r for Swords \n-§6§lFire Protection§r for Armour \n-§8§lSmelting§r for Pickaxes and Shovels'])
    e.addItem('miningmaster:haste_peridot', ['When applied in a Smithing Table, gives: \n-§d§lEfficiency§r for tools \n-§3§lLure§r for fishing rods \n-§a§lQuick Charge§r for Crossbows \n-§e§lRunner§r for Boots \n-§2§lFlurry§r for Spears'])
    e.addItem('miningmaster:heart_rhodonite', ['When applied in a Smithing Table, gives: \n-§d§lHeartfelt§r for all Armor pieces'])
    e.addItem('miningmaster:ice_sapphire', ['When applied in a Smithing Table, gives: \n-§b§lFrost Walker§r for Boots\n-§1§lFreezing§r for Swords \n-§f§lSnowpiercer§r for Leggings'])
    e.addItem('miningmaster:kinetic_opal', ['When applied in a Smithing Table, gives: \n-§5§lBlast Protection§r for Armour \n-§9§lKnockback§r for Swords \n-§3§lPunch§r for Bows \n-§6§lDensity§r for the Mace \n-§2§lJab§r for Spears \n-§4§lCrushing§r for the Greatblade'])
    e.addItem('miningmaster:lucky_citrine', ['When applied in a Smithing Table, gives: \n-§6§lFortune§r for Tools \n-§1§lLuck of the Sea§r for Fishing Rods \n-§d§lLooting§r for Swords'])
    e.addItem('miningmaster:power_pyrite', ['When applied in a Smithing Table, gives: \n-§5§lSharpness§r for Swords \n-§c§lHeadshot§r for Bows \n-§b§lImpaling§r for Tridents \n-§8§lStonebreaker§r for Pickaxes \n-§9§lShockwave§r for Boots \n-§6§lBreach§r for the Mace \n-§4§lExecutioner§r for the Greatblade'])
    e.addItem('miningmaster:spider_kunzite', ['When applied in a Smithing Table, gives: \n-§f§lFeather Falling§r for Boots \n-§d§lBane of Arthropods§r for Swords\n-§b§lSilk Touch§r for Tools'])
    e.addItem('miningmaster:spirit_garnet', ['When applied in a Smithing Table, gives: \n-§5§lBackstabbing§r for Knives \n-§2§lThorns§r for Armour \n-§3§lLoyalty§r for Tridents \n-§4§lLeeching§r for Swords \n-§a§lSpread of Ailments§r for Crossbows \n-§6§lSweet Spot§r for Spears \n-§c§lRetaliation§r for the Swept Axe \n-§9§lThrum§r for the Greatblade'])
    e.addItem('miningmaster:unbreaking_iolite', ['When applied in a Smithing Table, gives: \n-§5§lUnbreaking§r for all Tools and Armour'])
    e.addItem('miningmaster:air_malachite', ['When applied in a Smithing Table, gives: \n-§f§lLaunch§r for Swords \n-§b§lKnight Jump§r for Leggings \n-§9§lLongfooted§r for Boots \n-§7§lWind Burst§r for the Mace \n-§a§lWhirling§r to the Greatblade'])
    e.addItem('kubejs:air_abalone', ['When applied in a Smithing Table, gives: \n-§b§lRespiration§r for Helmets \n-§6§lCapacity§r for Backtanks'])
    e.addItem('kubejs:binding_rhinestone', ['When applied in a Smithing Table, gives: \n-§4§lCurse of Binding§r for all Tools and Armour'])
    e.addItem('kubejs:boost_pearl', ['When applied in a Smithing Table, gives: \n-§d§lMulti-Roll§r for Helmets \n-§2§lFollow-Through§r for Chestplates \n-§c§lRampage§r for the Swept Axe'])
    e.addItem('kubejs:rebuilding_bismuth', ['When applied in a Smithing Table, gives: \n-§b§lReforming§r for all Tools and Armour'])
    e.addItem('kubejs:soul_crysocolla', ['When applied in a Smithing Table, gives: \n-§b§lSoul Speed§r for Boots  \n-§9§lSwift Sneak§r for Leggings'])
    e.addItem('kubejs:infinity_stone', ['When applied in a Smithing Table, gives: \n-§6§lInfinity§r for Bows'])
    e.addItem('kubejs:swift_sunstone', ['When applied in a Smithing Table, gives: \n-§2§lAcrobat§r for Chestplates and Leggings \n-§a§lAgility§r for Spears and the Rod of Gales \n-§b§lSailing§r for the Greatblade'])
    e.addItem('kubejs:vanishing_rabbitstone', ['When applied in a Smithing Table, gives: \n-§4§lCurse of Vanishing§r for all Tools and Armour'])
    e.addItem('minecraft:echo_shard', ['When applied in a Smithing Table, gives: \n-§3§lSoulbound§r for all Tools and Armour'])
    e.addItem('quark:diamond_heart', ['Can be used to upgrade gear to the next tier while retaining enchantments. '])
})